## helma.doc
Class DocSkin

    java.lang.Object
      helma.doc.DocElement
          helma.doc.DocResourceElement
              helma.doc.DocSkin

    public class DocSkin

extends DocResourceElement

Field Summary

Fields inherited from class helma.doc.DocResourceElement
`resource`

Fields inherited from class helma.doc.DocElement
`ACTION, APPLICATION, FUNCTION, MACRO, PROPERTIES, PROTOTYPE, SKIN, TEMPLATE, typeNames`

Constructor Summary
`protected` `DocSkin(java.lang.String name, Resource res, DocElement parent)`

Method Summary
`java.lang.String` `getPrototype()` from helma.framework.IPathElement.
`static DocSkin` `newInstance(Resource res)` creates a new independent DocSkin object
`static DocSkin` `newInstance(Resource res, DocElement parent)` creates a new DocSkin object connected to another DocElement

Methods inherited from class helma.doc.DocResourceElement
`getStartLine, toString`

Methods inherited from class helma.doc.DocElement
`addChild, addParameter, addTag, countChildren, debug, getChildElement, getChildren, getComment, getContent, getDocApplication, getElementName, getName, getParentElement, getType, getTypeName, hasParameter, listChildren, listParameters, listTags, listTags, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocSkin

    protected DocSkin(java.lang.String name,
                      Resource res,
                      DocElement parent)
               throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### newInstance

    public static DocSkin newInstance(Resource res)
                               throws java.io.IOException

  creates a new independent DocSkin object

  Throws:
    `java.io.IOException`

### newInstance

    public static DocSkin newInstance(Resource res,
                                      DocElement parent)
                               throws java.io.IOException

  creates a new DocSkin object connected to another DocElement

  Throws:
    `java.io.IOException`

### getPrototype

    public java.lang.String getPrototype()

  from helma.framework.IPathElement. Use the same prototype as functions etc.

  Overrides:
    `getPrototype` in class `DocElement`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.